﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Toyota.Common.Web.Credential;

@model Toyota.Common.Web.MVC.ModelHolder
           

@using (Html.BeginForm("PartialLPOPConfirmation", "LPOPConfirmation", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <table border="0" style="vertical-align:middle; padding-bottom:6px;">
        <tr>
            <td style="padding-bottom:6px;">
                Production Month
            </td>
            <td style="padding-left:6px; padding-bottom:6px;">
                <input type="text" id='TxtPMConfirmation' name="TxtPMConfirmation" class="mtz-monthpicker-widgetcontainer" style="width:250px; font-size:small;" />
            </td>
            <td style="padding-left:6px; padding-bottom:6px;"></td>
        </tr>

        <tr>
            <td style="padding-bottom:6px;">
                Timing
            </td>
            <td style="padding-left:6px; padding-bottom:6px;">
                @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "CmbTimingConfirmation";
                        settings.SelectedIndex = -1;
                        settings.Width = Unit.Pixel(255);
                        settings.Properties.Items.Add("Firm");
                    }
                ).GetHtml()  
            </td>
            <td style="padding-left:6px; padding-bottom:6px;"></td>
        </tr>
    </table>
}
    
<table border="0" style="padding-bottom:6px;">
    <tr>
        <td style="padding-right:50px;">&nbsp;</td>
        <td style="padding-right:40px;">&nbsp;</td>
        <td style="padding-right:6px;">
            @Html.DevExpress().Button(
            settings => {
                settings.Name = "BtnSearch";
                settings.EnableClientSideAPI = true;
                settings.Text = "Search";
                settings.Width = 80;
                settings.ClientSideEvents.Click = "OnClickSearchConfirmation";
            }).GetHtml()
        </td>
        <td style="padding-right:6px;">
            @Html.DevExpress().Button(
            settings => {
                settings.Name = "BtnClear";
                settings.EnableClientSideAPI = true;
                settings.Text = "Clear";
                settings.Width = 80;
                settings.ClientSideEvents.Click = "OnClickClearConfirmation";
            }).GetHtml()
        </td>
        <td style="padding-right:84px;"></td>
        <td style="padding-right:6px;">
@*         @Html.DevExpress().Button(
            settings => {
                settings.Name = "BtnDownload";
                settings.EnableClientSideAPI = true;
                settings.Text = "Download";
                settings.Width = 80;
                settings.ClientSideEvents.Click = "OnClickDownloadLPOPConfirmation";
            }).GetHtml()*@
        </td>
        <td style="width:100%;"></td>
        <td style="padding-right:6px;">
        </td>
        <td></td>
        <td>
            @Html.DevExpress().Button(
            settings => {
                settings.Name = "CLCreate_PO";
                settings.Text = "Create PO";
                settings.Width = 110;
                settings.ClientSideEvents.Click = "OnClickCreatePO";
                var authorized = Model.GetModel<User>().IsAuthorized("LPOPConfirmation", "CLCreate_PO");
                switch (authorized)
                {
                    case 0:
                        settings.ClientVisible = false;
                        break;
                    case 1:
                        settings.ClientVisible = true;
                        settings.ClientEnabled = true;
                        break;
                    case 2:
                        settings.ClientVisible = true;                        
                        break;
                }
            }).GetHtml()
        </td>
    </tr>
</table>

<div style="margin-right:4px; margin-left:4px;">
    @Html.Partial("PartialGridTabLPOPConfirmation", Model)
</div>
